coccinelle (1.0.4.deb-1) unstable; urgency=medium

  * New upstream release
  * Remove disable-spgen.diff - fixed upstream

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 05 Nov 2015 22:13:05 +0100

coccinelle (1.0.3.deb-2) unstable; urgency=medium

  * Upload to unstable
  * Re-enable checks
  * Executel "make all" in ocaml subdirectory so tests don't fail anymore

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 28 Oct 2015 21:53:54 +0100

coccinelle (1.0.3.deb-1) experimental; urgency=medium

  * New upstream release
  * Updated patches:
    - notparallel-main-makefile.diff
  * Build-depend on hevea
  * Build-depend on latexmk
  * New patches:
    - disable-spgen.diff - disable installation of spgen because it is not
      built

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 27 Oct 2015 21:05:29 +0100

coccinelle (1.0.2.deb-1) experimental; urgency=medium

  [ Stéphane Glondu ]
  * Add camlp4 to Build-Depends (closes: #801459)

  [ Євгеній Мещеряков ]
  * New upstream release
  * Depend on libparmap-ocaml (closes: #798263)
  * Disable testing for now
  * debian/rules adjust the binary renaming code
  * Adjust path to the python directory in /usr/bin/spatch
  * Pass expanded libdir to configure, the build system does not handle
    variables well
  * Upload to experimental because ocaml scripts don't work yet

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 12 Oct 2015 01:52:19 +0200

coccinelle (1.0.0.deb-1) unstable; urgency=medium

  * New upstream release
  * Remove patches:
    - no-parmap-subdir.diff
  * Fix the Vcs-Git control field
  * New patch:
    - bash-completion-dir.diff - install bash completion files into the new
      location
  * debian/coccinelle.maintscript - remove the obsolete bash completion file
  * Build-depend on dh-python
  * Pre-depend on dpkg (>= 1.17.14)

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 26 May 2015 22:10:50 +0200

coccinelle (1.0.0~rc24.deb-4) unstable; urgency=medium

  * Build-depend on libparmap-ocaml-dev (>= 1.0~rc4-5~) to get building on
    bytecode architectures fixed
  * Update debian/gbp.conf

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 14 May 2015 18:30:35 +0200

coccinelle (1.0.0~rc24.deb-3) unstable; urgency=medium

  * Fix typo in "ocamlfind" invocation
  * Upload to unstable

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 13 May 2015 21:49:54 +0200

coccinelle (1.0.0~rc24.deb-2) experimental; urgency=medium

  * Use ocamlfind to search for parmap

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 12 Mar 2015 20:45:40 +0100

coccinelle (1.0.0~rc24.deb-1) experimental; urgency=medium

  * New upstream RC
  * Build-depend on libparmap-ocaml-dev
  * New patches:
    - no-parmap-subdir.diff - don't try to compile parmap (system library is
      used)

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 04 Mar 2015 16:09:23 +0100

coccinelle (1.0.0~rc23.deb-1) experimental; urgency=medium

  * New upstream RC
  * Upload to experimental due to freeze

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 22 Dec 2014 00:01:21 +0100

coccinelle (1.0.0~rc22.deb-1) unstable; urgency=medium

  * New upstream RC
  * Standards-Version 3.9.6 - no changes required

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 03 Oct 2014 19:48:44 +0200

coccinelle (1.0.0~rc21.deb-2) unstable; urgency=medium

  * Don't depend on obsolete python-gobject, depend on python-gobject-2
    instead (closes: #758618)

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 25 Aug 2014 21:51:05 +0200

coccinelle (1.0.0~rc21.deb-1) unstable; urgency=medium

  * New upstream RC
  * Updated patches:
    - pdf-docs-build.diff
  * debian/rules: call 'pdf' target to build the documentation
  * Removed patches:
    - whitespace-fix.diff - fixed upstream

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 15 Apr 2014 20:01:57 +0200

coccinelle (1.0.0~rc20.deb-3) unstable; urgency=medium

  * New patch:
    - notparallel-main-makefile.diff - don't run targets in the main Makefile
      in parallel. This hopefully fixes an FTBFS.

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 01 Apr 2014 21:00:45 +0200

coccinelle (1.0.0~rc20.deb-2) unstable; urgency=medium

  * New patch:
    - whitespace-fix.diff - fix incorrectly whitespace handling with some
      semantic patches (by Julia Lawall, closes: #742779)

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 29 Mar 2014 21:39:41 +0100

coccinelle (1.0.0~rc20.deb-1) unstable; urgency=medium

  * New upstream RC
  * Removed patches:
    - detect-itimer.diff - fixed upstream

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 25 Feb 2014 22:50:57 +0100

coccinelle (1.0.0~rc19.deb-3) unstable; urgency=medium

  * New patch:
    - detect-itimer.diff — detect architectures without [gs]etitimer API
      support. This should fix testsuite failures on Hurd.
  * Pass --enable-release to configure
  * Remove obsolete COCCI_FLAGS variable
  * Don't override dh_builddeb call, xz compression is now default

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 25 Dec 2013 23:28:59 +0100

coccinelle (1.0.0~rc19.deb-2) unstable; urgency=medium

  * Fix the clean target
  * Enable the testsuite
  * Standards-Version 3.9.5 — no changes needed

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 22 Dec 2013 22:54:39 +0100

coccinelle (1.0.0~rc19.deb-1) unstable; urgency=medium

  * New upstream RC 

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 05 Dec 2013 21:45:41 +0100

coccinelle (1.0.0~rc18.deb-2) unstable; urgency=low

  * Configure with --enable-ocaml

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 26 Aug 2013 21:49:05 +0200

coccinelle (1.0.0~rc18.deb-1) unstable; urgency=low

  * New upstream RC
  * Standards-Version 3.9.4 — no changes required

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 25 Aug 2013 23:13:26 +0200

coccinelle (1.0.0~rc17.deb-2) unstable; urgency=low

  * Upload to unstable

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 05 May 2013 15:27:35 +0200

coccinelle (1.0.0~rc17.deb-1) experimental; urgency=low

  * New upstream RC

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 01 May 2013 17:37:47 +0200

coccinelle (1.0.0~rc16.deb-1) experimental; urgency=low

  * New upstream RC

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 30 Dec 2012 16:59:40 +0100

coccinelle (1.0.0~rc15.deb-2) experimental; urgency=low

  * Add Breaks/Replaces coccinelle (<< 1.0.0~rc7.deb-4) to coccinelle-doc,
    this fixes package upgrades. Thanks to Andreas Beckmann (closes: #694269)

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 25 Nov 2012 15:43:40 +0100

coccinelle (1.0.0~rc15.deb-1) experimental; urgency=low

  * New upstream RC 
    - Do not build-depend on libsexplib-camlp4-dev and libextlib-ocaml-dev
      anymore

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 19 Aug 2012 20:40:52 +0200

coccinelle (1.0.0~rc14.deb-1) experimental; urgency=low

  * New upstream release
  * Remove patches:
    - install-python-coccilib.diff - applied upstream 

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 22 Jul 2012 22:39:20 +0200

coccinelle (1.0.0~rc12.deb-4) unstable; urgency=low

  * Upload to unstable

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 13 Apr 2012 22:59:55 +0200

coccinelle (1.0.0~rc12.deb-3) experimental; urgency=low

  * Do not use --enable-release for now
  * Use all-release and all-dev makefile targets

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 11 Apr 2012 21:10:41 +0200

coccinelle (1.0.0~rc12.deb-2) experimental; urgency=low

  * Build-depend on pkg-config (>= 0.9.0), fixes FTBFS

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 09 Apr 2012 20:15:48 +0200

coccinelle (1.0.0~rc12.deb-1) experimental; urgency=low

  * New upstream RC
    - Adjust the build system
  * Adapt repack.sh to the new upstream RC
  * Remove patches:
    - pycaml-build-check.diff
  * Refresh patches:
    - pdf-docs-build.diff
  * Build-depend on libextlib-ocaml-dev
  * New patches:
    - install-python-coccilib.diff
  * Upload to experimental

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 09 Apr 2012 19:18:45 +0200

coccinelle (1.0.0~rc11.deb-1) unstable; urgency=low

  * New upstream RC
  * Update debian/copyright
  * Make coccinelle depend on libpycaml-ocaml (oops...)
  * Standards-Version 3.9.3 — no changes required

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 17 Mar 2012 22:23:13 +0100

coccinelle (1.0.0~rc10.deb-1) unstable; urgency=low

  * New upstream RC
  * Update debian/watch

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 21 Feb 2012 22:25:26 +0100

coccinelle (1.0.0~rc9.deb-1) unstable; urgency=low

  * New upstream RC
  * Updated patches:
    - pycaml-build-check.diff

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 14 Jan 2012 21:41:43 +0100

coccinelle (1.0.0~rc7.deb-6) unstable; urgency=low

  * Build-depend on dh-ocaml >= 1.0.3~ and add --parallel to dh options
    instead of dh_auto_build

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 14 Dec 2011 01:34:05 +0100

coccinelle (1.0.0~rc7.deb-5) unstable; urgency=low

  * Merge Build-Depends-Indep into Build-Depends, the package does not build
    on autobuilders otherwise

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 06 Dec 2011 23:17:50 +0100

coccinelle (1.0.0~rc7.deb-4) unstable; urgency=low

  * Move pdf documentation and examples into a separate package
  * Add support for parallel build
  * Use xz for binary packages compression

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 06 Dec 2011 20:55:50 +0100

coccinelle (1.0.0~rc7.deb-3) unstable; urgency=low

  * REALLY upload to unstable

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 03 Dec 2011 16:51:36 +0100

coccinelle (1.0.0~rc7.deb-2) experimental; urgency=low

  * Upload to unstable
  * Build-depend on debhelper >= 8.1.0~ for build-arch and build-indep
    targets
  * Add build-arch and build-indep targets, fixes lintian warning
  * Put --with option of dh after the sequence name

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 03 Dec 2011 14:51:36 +0100

coccinelle (1.0.0~rc7.deb-1) experimental; urgency=low

  * New upstream RC (closes: #646590)
  * Build-depend on libpcre-ocaml-dev
  * Removed patches:
    - python-string-regression-fix.diff — fixed upstream
  * Use dh_python2 instead of python-support

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 30 Oct 2011 19:03:44 +0100

coccinelle (0.2.5.deb-3) unstable; urgency=low

  * Team upload
  * Compile in bytecode only on non-natdynlink architectures (fixes FTBFS)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 21 Apr 2011 15:05:03 +0200

coccinelle (0.2.5.deb-2) unstable; urgency=low

  * Create texmf directories in build tree. Fixes FTBFSes.

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 07 Apr 2011 17:27:28 +0200

coccinelle (0.2.5.deb-1) unstable; urgency=low

  * New upstream release
    - better handling of multiple declarations in one statement
      (Closes: #618555)
  * New patches:
    - pycaml-build-check.diff - check for python version only if pycaml is not
      installed
    - python-string-regression-fix.diff - fix a regression in new version
  * Do not pass "--with-python --without-trac" to configure, those options
    do not exist anymore
  * Standards-Version 3.9.2 — no changes required

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 07 Apr 2011 14:14:08 +0200

coccinelle (0.2.4.deb-3) unstable; urgency=low

  * Upload to unstable
  * Fix watch file for rc versions

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 10 Feb 2011 16:14:38 +0100

coccinelle (0.2.4.deb-2) experimental; urgency=low

  * Depend on ocaml-findlib, thanks to Cyril Brulebois for noticing
    (closes: #604970)

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 26 Nov 2010 09:52:48 +0100

coccinelle (0.2.4.deb-1) experimental; urgency=low

  * New upstream release
  * Removed patches:
    - syslibs-depend.diff - applied upstream 
  * Standards-Version 3.9.1 - no changes required

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 21 Nov 2010 21:06:13 +0100

coccinelle (0.2.3.deb-1) unstable; urgency=low

  * New upstream release
  * Removed patches:
    - system-{pycaml,menhir,ocamlsexp}.diff - upstream build system can handle
      this
    - documentation-paths.diff - the manpage is generated using correct paths
    - documentation-build.diff - build documentation, authors clarified that
      it does not contain Front/Back Covers and Invariant Sections
  * New patches:
    - syslibs-depend.diff - fix depend targets when system libraries are used
  * Override clean directories in debian/rules: upstream makefile tries to
    clean directories removed in Debian package
  * Build and install pdf docs
    - build-depend on texlive-latex-base, texlive-latex-recommended,
      texlive-latex-extra, texlive-fonts-recommended, texlive-fonts-extra
  * Do not compress .pdf .cocci and .c files
  * Add information about manual license (GFDL-1.3+) into debian/copyright
  * Standards-Version 3.9.0 — no changes required
  * Install the bash completion file

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 21 Nov 2010 20:51:00 +0100

coccinelle (0.2.2.deb-2) unstable; urgency=medium

  * Build depend on libpycaml-ocaml-dev and remove build dependency on
    python2.5-dev (closes: #567942)
  * Urgency medium because of fix for an RC bug
  * Updated patches:
    - system-pycaml.diff - do not add pycaml to ocamldep include path,
      otherwise it tries to compile pycaml.ml
  * Use dh-ocaml to calculate dependencies

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 21 Jun 2010 14:54:01 +0200

coccinelle (0.2.2.deb-1) unstable; urgency=low

  * New upstream release
  * Standards-Version 3.8.4 — no changes required
  * Update debian/copyright

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 15 Mar 2010 21:18:13 +0100

coccinelle (0.2.1.deb-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright 
  * Refresh patches

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 31 Jan 2010 16:21:05 +0100

coccinelle (0.2.0.deb-1) unstable; urgency=low

  * New upstream release
  * Do not use topgit and quilt. Convert package to source format 3.0 (quilt) 
  * Updated patches:
    - system-menhir.diff
    - system-ocamlsexp.diff
    - system-pycaml.diff
  * Use dh overrides in debian/rules
  * Update debian/watch

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 19 Jan 2010 23:43:44 +0100

coccinelle (0.1.10.deb-1) unstable; urgency=low

  * New upstream release
  * Updated patches:
    - fixes/system-pycaml 
  * Standards-Version 3.8.3 — no changes required

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 08 Sep 2009 01:37:43 +0200

coccinelle (0.1.9.deb-1) unstable; urgency=low

  * New upstream release
  * Update debian/repack.sh
  * Update upstream homepage and watch file, thanks to Daniel T Chen
    (closes: #540580)
  * Removed patches:
    - fixes/unsafe-tmp-handling - fixed upstream
  * Updated patches:
    - fixes/system-ocamlsexp
  * Standards-version 3.8.2 - no changes needed

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 09 Aug 2009 20:54:57 +0200

coccinelle (0.1.8.deb-4) unstable; urgency=low

  * Fix bytecode builds
  * Swap order of patches fixes/system-pycaml <-> fixes/system-menhir

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 12 Jun 2009 13:27:18 +0200

coccinelle (0.1.8.deb-3) unstable; urgency=low

  * Fix FTBFS with newer pycaml
  * Updated patch:
    - fixes/system-pycaml

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 12 Jun 2009 00:54:27 +0200

coccinelle (0.1.8.deb-2) unstable; urgency=low

  * Use common install Makefile target for both native and bytecode
    build. This hopefully fixes FTBFS on bytecode archs 

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 11 May 2009 15:32:24 +0200

coccinelle (0.1.8.deb-1) unstable; urgency=low

  * New upstream release
  * Update debian/repack.sh
    - remove docs/manual directory (GFDL)
  * New patch:
    - fixes/documentation-build 
  * Don't build documentation
  * Don't suggest doc-base and build-depend on texlive packages

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 11 May 2009 14:27:45 +0200

coccinelle (0.1.7.deb-3) unstable; urgency=high

  * New patch:
    - fixes/unsafe-tmp-handling - disable creating result file
      in /tmp. This was done without any checks for symlinks,
      so this is security bug (CVE-2009-1753).

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 02 May 2009 01:58:20 +0200

coccinelle (0.1.7.deb-2) unstable; urgency=low

  * Fix typo in debian/spatch

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 18 Apr 2009 02:31:07 +0200

coccinelle (0.1.7.deb-1) unstable; urgency=low

  * New upstream release
  * Removed patches:
    - fixes/clean-fixes
    - fixes/dont-overwrite-config 
  * New patches:
    - fixes/system-ocamlsexp - use Debian's ocamlsexp
  * Don't install glade file in debian/rules - fixed upstream
  * Build-depend on libsexplib-camlp4-dev
  * Build-depend on texlive-fonts-recommended

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 16 Apr 2009 21:56:02 +0200

coccinelle (0.1.6.deb+a-3) unstable; urgency=low

  * Upload to unstable
  * Fix build/install target dependencies. Also add workaround for
    bug #522906 in topgit (causes multiple runs of build-stamp target)
  * Install pygui.glade
  * Install cocci.el

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 11 Apr 2009 23:32:49 +0200

coccinelle (0.1.6.deb+a-2) experimental; urgency=low

  * Upload to experimental to let previous version migrate to testing
  * Fix Vcs-Browser URL
  * Compile to native code if possible
  * Git repository is now in pkg-ocaml-maint group. Adjust Vcs-* fields
  * Set maintainers to Debian OCaml Maintainers 
  * Add explicit list of topgit patches into debian/rules
  * Add tag-patches rule (tags topgit branches) 
  * Build-depend on python2.5-dev (needed for native compilation)
  * Build-depend on python-support (>= 0.6)

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 06 Apr 2009 17:03:01 +0200

coccinelle (0.1.6.deb+a-1) unstable; urgency=low

  * New upstream release
  * Do not move spatch executable from bindir to /usr/share/..., upstream
    Makefile already installs it there
  * Policy 3.8.1 — no changes required
  * Remove files matching .depend, .subdirs and .#* in debian/repack.sh
  * Pass --no-opt --with-python --without-trac to the configure script
    to make building more predictable
  * Remove files generated by the configure script in debian/repack.sh
  * Use topgit/quilt for packaging
  * Add Vcs-* fields to debian/control
  * Don't try to remove installed makefiles
  * Install examples
  * Add information about license for vim files into debian/copyright
  * Install Vim files, suggest vim-addon-manager for them

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 31 Mar 2009 21:00:25 +0200

coccinelle (0.1.5dbs-2) unstable; urgency=low

  * Provide correct versions of debian/{watch,repack.sh}
  * Add note to debian/copyright that source was repacked
    using debian/repack.sh

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 07 Mar 2009 19:29:46 +0100

coccinelle (0.1.5dbs-1) unstable; urgency=low

  * Initial release (Closes: #512658)

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 05 Mar 2009 20:57:48 +0100
